%global momorel 1

Summary:	Class-MethodMaker module for perl (/home/t)
Name:		perl-Class-MethodMaker
Version:	2.15
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Class/Class-MethodMaker-%{version}.tar.gz 
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Class/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 5.8.1

%description
Class-MethodMaker module for perl

%prep
%setup -q -n Class-MethodMaker-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
##rm -f %{buildroot}%{perl_vendorarch}/auto/Class/MethodMaker/.packlist

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Class-MethodMaker-%{version}-filelist

if [ "$(cat Class-MethodMaker-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

##rm -f %{buildroot}%{perl_archlib}/auto/Class/MethodMaker/.packlist
rm -f %{buildroot}%{perl_vendorarch}/auto/Class/MethodMaker/.packlist

%files -f Class-MethodMaker-%{version}-filelist
%defattr(-,root,root)
%doc Changes README* TODO

%changelog
* Sun Feb 15 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.15-1m)
- update to 2.15

* Mon Feb  9 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.13-1m)
- update to 2.13

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.12-2m)
- rebuild against rpm-4.6

* Mon Jul 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.12-1m)
- update to 2.12

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.11-2m)
- rebuild against gcc43

* Wed Mar 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.11-1m)
- update to 2.11

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10-2m)
- %%NoSource -> NoSource

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-1m)
- update to 2.10

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.09-2m)
- use vendor

* Sat Feb 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.09-1m)
- update to 2.09

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.08-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (2.08-1m)
- update to 2.08

* Wed Jun 15 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.07-2m)
- revise spec to remove unwanted .packlist file properly

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.07-1m)
- version up to 2.07
- rebuilt against perl-5.8.7
- remove .packlist

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.02-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.02-2m)
- remove Epoch from BuildPrereq

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (2.02-1m)
- spec file was autogenerated
